For the complete documentation index, see llms.txt. This page is also available as Markdown.

BankTransfer

How to use Bank Transfer to submit a payout in Chile.

Submit a payout by Bank Transfer in Chile.

POST https://sandbox.transfersmile.com/api/payout

This endpoint allows you to submit a payout by Bank Transfer in Chile.

Headers

Name
Type
Description

Content-Type*

string

application/json; charset=UTF-8

AppId*

string

Your App ID in payout platform

Authorization*

string

SHA256($sorted_params + $app_key)

Request Body

Name
Type
Description

name*

string

Beneficiary's name, length must between 5 and 100

phone

string

Beneficiary's phone

- Max 15, valid phone -

email

string

Beneficiary 's email - Max 64, valid email -

bank_code*

string

Bank code, see bank list

account*

string

Account, max length is 20

- 8 ~ 20 digits -

account_type*

string

Should be one of CHECKING, SAVINGS, VISTA, RUT, SALARY.

document_id*

string

Beneficiary document id

document_type*

string

Beneficiary document type, should be one of RUT, RUN, PAS, CE.

method*

string

Fixed Value: BANKTRANSFER

custom_code*

string

Merchant's order id

- Max.50 -

fee_bear*

string

All fees charge to merchant or beneficiary - One of: merchant, beneficiary -

amount*

string

Payout amount, should be an Integer.

- Min 1,000, Max 2,000,000 -

source_currency*

string

Merchant's account currency

- supported: USD, GBP, EUR, CLP -

arrival_currency*

string

Beneficiary's account currency.

- Fixed Value: CLP -

notify_url*

string

Where pagsmile will callback to

additional_remark*

string

Additional Remark - Max Length: 40 -

country*

string

Fixed value: CHL, for Chile

amount_type

string

Specify the amount value is fixed for merchant or beneficiary - One of: source_amount, arrival_amount(default) -

Example

Note: 94FAC**********************68548 is Pagsmile's test App ID for sandbox, and d6181db0d6548b94b162e75d095b59147172d914699f83b2bd17951a671b6302 is authorization token associated with the test App ID.

Example of Document

  • RUT / RUN numbers consist of 7 or 8 digits followed by a verification digit. The verification digit can be a number or the letter K. They are commonly written in the format XXXXXXXX-X.

  • Only send alphanumeric values in the API request. Do not include separators such as dots (.) or hyphens (-).

  • For individuals, RUT is the same as RUN. Businesses use RUT only.

Document Type
Document ID
Format
Description

RUT

1*******6

8-9 digits

RUT (Rol Único Tributario) is the tax identification number assigned to individuals and businesses in Chile.

RUN

2*******8

8-9 digits

RUN (Rol Único Nacional) is the national identification number assigned to Chilean individuals.

CE

3********9

Between 9 and 16 digits

CE (Carnet de Extranjería) is an identification document issued to foreign residents.

PAS

4********0

Between 9 and 16 digits

PAS (Passport) is an identification document issued by a country for international travel.

Example of Account Type

The beneficiary account type must be one of the following values:

  • CHECKING: A checking account used for everyday transactions and payments.

  • SAVINGS: A savings account used for holding funds and personal savings.

  • VISTA: A demand deposit account that allows customers to make payments and transfers without earning interest on the account balance.

  • RUT: A basic account type associated with the customer's RUT (Rol Único Tributario), commonly used for basic banking services.

  • SALARY: An account type commonly used by companies for salary payments to employees.

Last updated

Was this helpful?